### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Attributes
HybridHestonHullWhiteProcess Class Reference
Stochastic processes

Hybrid Heston Hull-White stochastic process. More...

`#include <ql/processes/hybridhestonhullwhiteprocess.hpp>`

Inheritance diagram for HybridHestonHullWhiteProcess:
[legend]

List of all members.

## Public Types

enum | Discretization { Euler, BSMHullWhite }

## Public Member Functions

| HybridHestonHullWhiteProcess (const boost::shared_ptr< HestonProcess > &hestonProcess, const boost::shared_ptr< HullWhiteForwardProcess > &hullWhiteProcess, Real corrEquityShortRate, Discretization discretization=BSMHullWhite)
Size | size () const
| returns the number of dimensions of the stochastic process
Disposable< Array > | initialValues () const
| returns the initial values of the state variables
Disposable< Array > | drift (Time t, const Array &x) const
| returns the drift part of the equation, i.e.,
Disposable< Matrix > | diffusion (Time t, const Array &x) const
| returns the diffusion part of the equation, i.e.
Disposable< Array > | apply (const Array &x0, const Array &dx) const
Disposable< Array > | evolve (Time t0, const Array &x0, Time dt, const Array &dw) const
DiscountFactor | numeraire (Time t, const Array &x) const
const boost::shared_ptr < HestonProcess > & | hestonProcess () const
const boost::shared_ptr < HullWhiteForwardProcess > & | hullWhiteProcess () const
Real | eta () const
Time | time (const Date &date) const
Discretization | discretization () const
void | update ()

## Protected Attributes

const boost::shared_ptr < HestonProcess > | hestonProcess_
const boost::shared_ptr < HullWhiteForwardProcess > | hullWhiteProcess_
const boost::shared_ptr < HullWhite > | hullWhiteModel_
const Real | corrEquityShortRate_
const Discretization | discretization_
const Real | maxRho_
const Time | T_
DiscountFactor | endDiscount_

## Detailed Description

Hybrid Heston Hull-White stochastic process.

This class implements a three factor Heston Hull-White model

Bug:
  This class was not tested enough to guarantee its functionality... work in progress

## Member Function Documentation

Disposable<Array> apply | ( | const Array & | x0,
|  | const Array & | dx
| ) |  | const`[virtual]`

applies a change to the asset value. By default, it returns .

Reimplemented from StochasticProcess.

Disposable<Array> evolve | ( | Time | t0,
|  | const Array & | x0,
|  | Time | dt,
|  | const Array & | dw
| ) |  | const`[virtual]`

returns the asset value after a time interval according to the given discretization. By default, it returns

where is the expectation and the standard deviation.

Reimplemented from StochasticProcess.

Time time | ( | const Date & |  | ) | const`[virtual]`

returns the time value corresponding to the given date in the reference system of the stochastic process.

Note:
  As a number of processes might not need this functionality, a default implementation is given which raises an exception.

Reimplemented from StochasticProcess.

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from StochasticProcess.